mysql:
  enabled: false
  host: "localhost"
  port: 3306
  database: "dl_mine"
  username: "root"
  password: ""

currencies:
  money:
    display-name: "Dinheiro"
    symbol: "R$"
    starting-balance: 100.0
    payday-amount: 50.0
    payday-interval: 30
    interest-rate: 0.01
    interest-enabled: true
    payday-enabled: false
    permissions: []
    conversions:
      bloco: 0.05

  cash:
    display-name: "Cash"
    symbol: "✪"
    starting-balance: 0.0
    payday-amount: 5.0
    payday-interval: 60
    interest-rate: 0.005
    interest-enabled: false
    payday-enabled: false
    permissions: ["advancedeconomy.currency.cash"]
    conversions:
      money: 20.0

  bloco:
    display-name: "Bloco"
    symbol: "□"
    starting-balance: 0.0
    payday-amount: 0.0
    payday-interval: 0
    interest-rate: 0.0
    interest-enabled: false
    payday-enabled: false
    permissions: []
    conversions:
      money: 10.0

enable-transaction-log: true
log-file: "transactions.log"

# ---- Recompensas por Matar Mobs ----
mob-kills:
  # Ativa ou desativa o sistema de recompensa por matar mobs
  enabled: true
  # A ID da moeda a ser dada como recompensa (deve existir na seção 'currencies')
  currency: "money"
  # Multiplicador aplicado à VIDA MÁXIMA do mob para calcular a recompensa.
  # Ex: Se um mob tem 20 HP e o multiplicador é 0.5, a recompensa base será 10.
  health-multiplier: 0.25 # Ex: 25% da vida máxima do mob
  # (Opcional) Recompensa mínima a ser dada, mesmo que o cálculo seja menor. (0 = sem mínimo)
  min-reward: 1.0
  # (Opcional) Recompensa máxima a ser dada, mesmo que o cálculo seja maior. (0 ou negativo = sem máximo)
  max-reward: 100.0
  # (Opcional) Se true, envia uma mensagem na action bar para o jogador ao receber a recompensa
  show-actionbar-message: true
  # Lista de tipos de entidade que NÃO darão recompensa (mesmo que agressivos)
  blacklist:
    - ENDERMITE
    - VEX
    #- PHANTOM

# ---- Seção da Loja ----
shop:
  # Ativa ou desativa completamente o comando /shop e o sistema de loja
  enabled: true
  # Título que aparecerá no topo do inventário da loja
  title: "&2Loja do Servidor" # Use códigos de cor com '&'
  # Tamanho do inventário (GUI). Deve ser um múltiplo de 9 (9, 18, 27, 36, 45, 54)
  size: 27
  # Moeda padrão para os itens da loja, caso um item específico não defina a sua.
  # Usaremos "money" como pediu.
  default-currency: "money"
  # Lista de itens à venda
  items:
    compra_ferro:
      material: IRON_GOLEM_SPAWN_EGG
      amount: 16 # Exemplo: Vender 16 barras de ferro
      buy-price: 100.0
      currency: "money" # Explicitamente usando money
      display-name: "&fIron Golem"
      lore:
        - "&aPreço: {price_formatted}"
        - "&eClique para comprar!"
      slot: 0
    # Adicione mais itens aqui seguindo o mesmo formato...
    # exemplo_item_sem_lore:
    #   material: STONE
    #   amount: 64
    #   buy-price: 10.0
    #   slot: 2